Vector::BLF::FlexRayV6StartCycleEvent(3)

NAME
Vector::BLF::FlexRayV6StartCycleEvent - FLEXRAY_CYCLE.

SYNOPSIS

#include <FlexRayV6StartCycleEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t dir {}
dir flag (tx, rx)
uint8_t lowTime {}
additional time field in simulation
uint32_t fpgaTick {}
timestamp generated from xModule
uint32_t fpgaTickOverflow {}
overflow counter of the timestamp
uint32_t clientIndexFlexRayV6StartCycleEvent {}
clientindex of send node
uint32_t clusterTime {}
relative clustertime, from 0 to cyclelength
std::array< uint8_t, 2 > dataBytes {}
array of databytes
uint16_t reservedFlexRayV6StartCycleEvent {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

FLEXRAY_CYCLE. Start of cycle event transmitted by the hardware interface on a FlexRay channel.

Member Function Documentation

  uint32_t Vector::BLF::FlexRayV6StartCycleEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::FlexRayV6StartCycleEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::FlexRayV6StartCycleEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::FlexRayV6StartCycleEvent::channel {}

application channel Application channel

  uint32_t Vector::BLF::FlexRayV6StartCycleEvent::clientIndexFlexRayV6StartCycleEvent {}

clientindex of send node Client index of send node. Must be set to 0 if file is written from other applications

  uint32_t Vector::BLF::FlexRayV6StartCycleEvent::clusterTime {}

relative clustertime, from 0 to cyclelength Relative cluster time, from 0 to cycle length

  std::array<uint8_t, 2> Vector::BLF::FlexRayV6StartCycleEvent::dataBytes {}

array of databytes Array of data bytes

  uint8_t Vector::BLF::FlexRayV6StartCycleEvent::dir {}

dir flag (tx, rx) Direction Flags

•   0 = Rx

•   1 = Tx

•   2 = Tx Request

•   3 and 4 are for internal use only.

  uint32_t Vector::BLF::FlexRayV6StartCycleEvent::fpgaTick {}

timestamp generated from xModule Timestamp generated from xModule

  uint32_t Vector::BLF::FlexRayV6StartCycleEvent::fpgaTickOverflow {}

overflow counter of the timestamp Overflow counter of the timestamp

  uint8_t Vector::BLF::FlexRayV6StartCycleEvent::lowTime {}

additional time field in simulation Additional time field in simulation

  uint16_t Vector::BLF::FlexRayV6StartCycleEvent::reservedFlexRayV6StartCycleEvent {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.